import { callDetailsApi, dashboardTableApi, employeeWorkingTimeApi , runningApplicationsApi ,systemLoginDetailsApi,systemSleepDetailsApi ,graphApi, UsersApi } from "../constants/apiEndPoints";


describe("Api End Points" , () => {
    it('should have correct Api url' , () => {
        expect(typeof dashboardTableApi).toBe("string");
        expect(dashboardTableApi).toEqual("/api/GetDashboardData")
    });

    it('should have correct Api url for callDetailsApi' , () => {
        expect(typeof callDetailsApi).toBe("string");
        expect(callDetailsApi).toEqual("/api/GetCallDetails")
    });

    it('should have correct Api url for employeeWorkingTimeApi' , () => {
        expect(typeof employeeWorkingTimeApi).toBe("string");
        expect(employeeWorkingTimeApi).toEqual("/api/GetEmployeeWorkingTime")
    });

    it('should have correct Api url for runningApplicationsApi' , () => {
        expect(typeof runningApplicationsApi).toBe("string");
        expect(runningApplicationsApi).toEqual("/api/GetApplicationTabDetails")
    });

    it('should have correct Api url for systemLoginDetailApi' , () => {
        expect(typeof systemLoginDetailsApi).toBe("string");
        expect(systemLoginDetailsApi).toEqual("/api/GetSystemLoginDetails")
    });

    it('should have correct Api url for systemSleepDetailsApi' , () => {
        expect(typeof systemSleepDetailsApi).toBe("string");
        expect(systemSleepDetailsApi).toEqual("/api/GetSystemSleepDetails")
    });

    it('should have correct Api url for graphApi' , () => {
        expect(typeof graphApi).toBe("string");
        expect(graphApi).toEqual("/api/GetGraphicData")
    });
    it('should have correct Api url for users' , () => {
        expect(typeof UsersApi).toBe("string");
        expect(UsersApi).toEqual("/api/GetUserProfileData")
    });
})
